## com.sun.grizzly
Class ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E extends ConnectorHandler>

    java.lang.Object
      com.sun.grizzly.ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E>
          com.sun.grizzly.ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E>

All Implemented Interfaces:
  ConnectorInstanceHandler<E>

Enclosing interface:
  ConnectorInstanceHandler<E extends ConnectorHandler>

    public static class ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E extends ConnectorHandler>

extends ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E>

Concurrent Queue ConnectorInstanceHandler implementation

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.grizzly.ConnectorInstanceHandler
`ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>, ConnectorInstanceHandler.ConcurrentQueueDelegateCIH<E extends ConnectorHandler>`

Constructor Summary
`ConnectorInstanceHandler.ConcurrentQueueDelegateCIH(Callable<E> delegate)`

Method Summary
`E` `newInstance()`

Methods inherited from class com.sun.grizzly.ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler
`acquire, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorInstanceHandler.ConcurrentQueueDelegateCIH

    public ConnectorInstanceHandler.ConcurrentQueueDelegateCIH(Callable<E> delegate)

Method Detail

### newInstance

    public E newInstance()

  Specified by:
    `newInstance` in class `ConnectorInstanceHandler.ConcurrentQueueConnectorInstanceHandler<E extends ConnectorHandler>`

Copyright © 2008 SUN Microsystems. All Rights Reserved.